me.legofreak107.vehiclesplus.vehicles.api

## Class VehiclesPlusAPI

- java.lang.Object
- - me.legofreak107.vehiclesplus.vehicles.api.VehiclesPlusAPI

    public class VehiclesPlusAPI
    extends java.lang.Object

### Constructor Summary

Constructors
Constructor and Description
`VehiclesPlusAPI()`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`StorageVehicle` `createVehicle(BaseVehicle baseVehicle, org.bukkit.entity.Player vehicleOwner)` Create a `StorageVehicle` and assign it to a `Player`
`BaseVehicle` `getBaseVehicleFromString(java.lang.String baseVehicleName)` Get a `BaseVehicle` by its name
`SpawnedVehicle` `getDrivingVehicle(org.bukkit.entity.Player player)` Find the `SpawnedVehicle` that a `Player` is driving
`java.util.List<SpawnedVehicle>` `getDrivingVehicles()` Get a `List` of `SpawnedVehicle`s that are currently being driven
`java.util.List<SpawnedVehicle>` `getDrivingVehicles(BaseVehicle baseVehicle)` Get a `List` of `SpawnedVehicle`s that are currently being driven based on a type of `BaseVehicle`
`static VehiclesPlusAPI` `getInstance()`
`static MainManager` `getMainManager()`
`java.util.List<StorageVehicle>` `getPlayerVehicles(org.bukkit.entity.Player player)` Get a list of a player's `StorageVehicle`
`java.util.List<SpawnedVehicle>` `getSpawnedVehicles()` Get a `List` of `SpawnedVehicle`s
`java.util.List<SpawnedVehicle>` `getSpawnedVehicles(BaseVehicle baseVehicle)` Get a `List` of `SpawnedVehicle`s based on a type of `BaseVehicle`
`void` `removeVehicle(StorageVehicle storageVehicle)` Remove a `StorageVehicle` from a `Player`'s garage

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### VehiclesPlusAPI

    public VehiclesPlusAPI()

### Method Detail

#### getInstance

    public static VehiclesPlusAPI getInstance()

#### createVehicle

    public StorageVehicle createVehicle(BaseVehicle baseVehicle,
                                        @Nullable
                                        org.bukkit.entity.Player vehicleOwner)

Create a `StorageVehicle` and assign it to a `Player`

Parameters:
  `baseVehicle` - The `BaseVehicle` to use when creating the `StorageVehicle`
  `vehicleOwner` - The `Player` that should own the `StorageVehicle`
Returns:
  `StorageVehicle`

#### getPlayerVehicles

    public java.util.List<StorageVehicle> getPlayerVehicles(org.bukkit.entity.Player player)

Get a list of a player's `StorageVehicle`

Parameters:
  `player` - The `Player` to grab the `StorageVehicle` list from
Returns:
  `List`<`StorageVehicle`>

#### removeVehicle

    public void removeVehicle(StorageVehicle storageVehicle)

Remove a `StorageVehicle` from a `Player`'s garage

Parameters:
  `storageVehicle` - The `StorageVehicle` to remove

#### getBaseVehicleFromString

    public BaseVehicle getBaseVehicleFromString(java.lang.String baseVehicleName)

Get a `BaseVehicle` by its name

Parameters:
  `baseVehicleName` - The name of the `BaseVehicle`
Returns:
  `BaseVehicle`

#### getSpawnedVehicles

    public java.util.List<SpawnedVehicle> getSpawnedVehicles()

Get a `List` of `SpawnedVehicle`s

Returns:
  `List`<`SpawnedVehicle`>

#### getSpawnedVehicles

    public java.util.List<SpawnedVehicle> getSpawnedVehicles(BaseVehicle baseVehicle)

Get a `List` of `SpawnedVehicle`s based on a type of `BaseVehicle`

Parameters:
  `baseVehicle` - The `BaseVehicle` to search for
Returns:
  `List`<`SpawnedVehicle`>

#### getDrivingVehicles

    public java.util.List<SpawnedVehicle> getDrivingVehicles()

Get a `List` of `SpawnedVehicle`s that are currently being driven

Returns:
  `List`<`SpawnedVehicle`>

#### getDrivingVehicles

    public java.util.List<SpawnedVehicle> getDrivingVehicles(BaseVehicle baseVehicle)

Get a `List` of `SpawnedVehicle`s that are currently being driven based on a type of `BaseVehicle`

Parameters:
  `baseVehicle` - The `BaseVehicle` to search for
Returns:
  `List`<`SpawnedVehicle`>

#### getDrivingVehicle

    public SpawnedVehicle getDrivingVehicle(org.bukkit.entity.Player player)

Find the `SpawnedVehicle` that a `Player` is driving

Parameters:
  `player` - The `Player` to find the vehicle from
Returns:
  `SpawnedVehicle`

#### getMainManager

    public static MainManager getMainManager()